Subject: Re: fundamental concerns about draft-stjohns-sipso

From: Jarrett Lu <[email-masked]>
Date: Thu, 12 Mar 2009 22:56:48 -0700

I've read the I-D draft and all the discussion on this thread so far. I 
support publication of this draft as an Informational RFC. We have 
customers who expressed strong interest in migrating to an MLS IPv6 
implementation. I suspect customers are suffering from very limited 
option space in IPv4 header. Having an information RFC encourages IPv6 
migration as well as fostering inter-operable implementations. We, at 
Sun Microsystems, plan to implement this in OpenSolaris once it becomes 
an RFC. IMO, not having an information RFC in this space won't stop 
vendors from producing an MLS IPv6 product because customer demands 
clearly exist. There will  be non inter-operable implementations.

Insertion/removal of this option can be made to work with PMTU. There is 
working code to do similar things in OpenSolaris today. I'm happy to 
contribute some text to make it more clear if needed.

Jarrett Lu